<nz-card [nzTitle]="cardTitle" [nzExtra]="cardExtra">
  <ng-template #cardTitle>
    {{"Miscellaneous.Homepage.TitleEvents" | translate }}
  </ng-template>
  <ng-template #cardExtra>
    <a target="_blank" href="{{hostUrl}}/events/all">
      {{"General.Common.ViewAll" | translate }}
    </a>
  </ng-template>
  <div class="listitem-container">
    <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
      <div class="eventsBox">
        <div class="events-tabs">
          <nz-tabset nzSize="small" [(nzSelectedIndex)]="currentTab" (nzSelectedIndexChange)="changeTab()">
            <nz-tab [nzTitle]="titleTemplate2">
              <ng-template #titleTemplate2>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/event_national.png" />
                {{"Miscellaneous.Homepage.National" | translate }}
              </ng-template>
            </nz-tab>
            <nz-tab [nzTitle]="titleTemplate" style="margin-right: 30px;">
              <ng-template #titleTemplate>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/event_international.png" />
                {{"Miscellaneous.Homepage.International" | translate }}
              </ng-template>
            </nz-tab>
          </nz-tabset>
          <div class="tab-content">
            <div *ngIf="list.length === 0" class="padded" style="text-align: left; display: block; overflow: hidden;">
              <nz-alert nzType="info" nzMessage="There are no events." nzShowIcon></nz-alert>
            </div>
            <ng-container *ngIf="list.length > 0">
              <div nz-row nzType="flex" nzAlign="middle" ngClass="event listitem item-{{i}}"
                *ngFor="let item of list; let i = index">
                <div nz-col class="icon">
                  <img src="{{hostUrl}}/assets/img/ico/ev/{{item.iconLocation}}.png" alt="" title="">
                </div>
                <div nz-col class="info">
                  <p class="event-title" [innerHtml]="item.eventText"></p>
                  <p class="event-time">
                    {{item.createdOnAgo}} ago
                  </p>
                </div>
              </div>
            </ng-container>
          </div>
        </div>
      </div>
    </nz-spin>
    <div class="vAll">
      <a target="_blank" href="{{hostUrl}}/events/all">
        {{"General.Common.ViewAll" | translate }}
      </a>
    </div>
  </div>
</nz-card>